SuSE 10 Security Update : PHP5 (ZYPP Patch Number 6069)

Medium Nessus Plugin ID 41476


The remote SuSE 10 host is missing a security-related patch.


Missing bounds checks of an error in the imageRotate function of the gd extension potentially allowed attackers to read portions of memory.

The mbstring.func_overload in .htaccess was applied to other virtual hosts on th same machine. (CVE-2009-0754)


Apply ZYPP patch number 6069.

See Also

Plugin Details

Severity: Medium

ID: 41476

File Name: suse_apache2-mod_php5-6069.nasl

Version: $Revision: 1.8 $

Type: local

Agent: unix

Published: 2009/09/24

Modified: 2016/12/22

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:N/A:N

Vulnerability Information

CPE: cpe:/o:suse:suse_linux

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2009/03/12

Reference Information

CVE: CVE-2008-5498, CVE-2009-0754

CWE: 134, 200